Debian Bug report logs - #459232
manpages: random(4) has inconsistent information about /proc

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>

Date: Fri, 4 Jan 2008 19:39:04 UTC

Severity: normal

Found in version manpages/2.67-1

Fixed in version manpages/2.76-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#459232; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages: random(4) has inconsistent information about /proc
Date: Fri, 04 Jan 2008 14:35:07 -0500
Package: manpages
Version: 2.67-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

random(4) currently says:

   /proc Interface
       The  files  in  the  directory  /proc/sys/kernel/random  (present since
       2.3.16) provide an additional interface to the /dev/random device.

       The read-only file entropy_avail gives  the  available  entropy.   Nor‐
       mally, this will be 4096 (bits), a full entropy pool.

       The  file  poolsize gives the size of the entropy pool.  Normally, this
       will be 512 (bytes).  It can be changed to any value for which an algo‐
       rithm  is  available.  Currently the choices are 32, 64, 128, 256, 512,
       1024, 2048.

but poolsize either appears to be counted in bits, or the range of
choices has changed:

[0 dkg@squeak ~]$ head /proc/sys/kernel/random/{entropy_avail,poolsize}
==> /proc/sys/kernel/random/entropy_avail <==
3458

==> /proc/sys/kernel/random/poolsize <==
4096

[0 dkg@squeak ~]$ 


Thanks for maintaining the manpages in debian!

Regards,

	--dkg 


- -- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQIVAwUBR36KaszS7ZTSFznpAQKOCw/+IFgoyyyPzlh6OXHDduPU0Ik3Xk2vk0D1
jEWLn+6G4tsb2A/O7bxbT3wyPUPCWiBAT9KMafnXmzSXetMy7SZzrNLRBY0Hn2tO
JECLC/pff3O/jOioNI9LCbSmx+OA87NIDKfbddceFfbOdP7YnPAZyNELSvAprSJ8
jrlhH90SV3z3dXribXzYKnBmCvsvAteiSdn2H455/E4vA+QrozFNK/ZZH+hinWKH
gDRsz+wBIIzAnvKGxjaNv9TD5JQS7naDVHzkphaoiiTARkfzR+P5UN+/Bw70QqNb
3nYaGO5b/Tv+bl/yikaRe56PXg9CO+5PG+O2dX2Uz1jLMJa4vhdxl+7JSUD+Uv6b
xpW4NAXaK99FqVPv4t75Kg4gososMh0Md3TBquLMSX5gHDeZhD1uEY2FTKAyZK8V
tYx1EBiQdDo44T6UcCI18+qnvI5YBCIo+ToB8MpDCQH1FH52b4WOhY8KOKVOnoBX
3TCMh56W6RDwpVj0XgJckzA/k3qhsfhMEoLS3oBhlHywNvmP3Io7c7XEAF9YVv5o
b7nAlSHZhrFKI1BMLB/wiu1qJVVZyQm9CYd9ubjET9pI5gxca10vtSb+eCqGk6Ub
VXLD9vbPnZpoZUJl81uotvQKnAVW/LFLDo7cNhltzOVzgHTDFWLOQA40Q4NUA4i7
dUOQxgw6r2k=
=d+qi
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#459232; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 459232@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>, 459232@bugs.debian.org
Cc: Andries Brouwer <Andries.Brouwer@cwi.nl>
Subject: Re: Bug#459232: manpages: random(4) has inconsistent information about /proc
Date: Sat, 05 Jan 2008 08:27:27 +0100
Danial (and Andries),

Re http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=459232

> random(4) currently says:
> 
>    /proc Interface
>        The  files  in  the  directory  /proc/sys/kernel/random  (present since
>        2.3.16) provide an additional interface to the /dev/random device.
> 
>        The read-only file entropy_avail gives  the  available  entropy.   Nor
>        mally, this will be 4096 (bits), a full entropy pool.
> 
>        The  file  poolsize gives the size of the entropy pool.  Normally, this
>        will be 512 (bytes).  It can be changed to any value for which an algo
>        rithm  is  available.  Currently the choices are 32, 64, 128, 256, 512,
>        1024, 2048.
> 
> but poolsize either appears to be counted in bits, or the range of
> choices has changed:
> 
> [0 dkg@squeak ~]$ head /proc/sys/kernel/random/{entropy_avail,poolsize}
> ==> /proc/sys/kernel/random/entropy_avail <==
> 3458
> 
> ==> /proc/sys/kernel/random/poolsize <==
> 4096

It looks like things changed with the move from 2.4 to 2.6.  I've amended
the text describing 'poolsize' according to how I understand the code (in
drivers/char/random.c).  I think Andries knows this area better than me,
and be might be able to confirm/add details:

       The file poolsize gives the size  of  the  entropy  pool.
       The semantics of this file vary across kernel versions:

              Linux 2.4:  This   file  gives  the  size  of  the
                          entropy pool in bytes.  Normally, this
                          file  will  have the value 512, but it
                          is writable, and can be changed to any
                          value for which an algorithm is avail-
                          able.  The choices are  32,  64,  128,
                          256, 512, 1024, or 2048.

              Linux 2.6:  This  file is read-only, and gives the
                          size of the entropy pool in bits.   It
                          contains the value 4096.

These changes will be in upstream 2.76.

Cheers,

Michael

-- 
Michael Kerrisk
Maintainer of the Linux man-pages project
http://www.kernel.org/doc/man-pages/
Want to report a man-pages bug?  Look here:
http://www.kernel.org/doc/man-pages/reporting_bugs.html





Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 459232-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 459232-close@bugs.debian.org
Subject: Bug#459232: fixed in manpages 2.76-1
Date: Wed, 30 Jan 2008 21:47:02 +0000
Source: manpages
Source-Version: 2.76-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.76-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.76-1_all.deb
manpages_2.76-1.diff.gz
  to pool/main/m/manpages/manpages_2.76-1.diff.gz
manpages_2.76-1.dsc
  to pool/main/m/manpages/manpages_2.76-1.dsc
manpages_2.76-1_all.deb
  to pool/main/m/manpages/manpages_2.76-1_all.deb
manpages_2.76.orig.tar.gz
  to pool/main/m/manpages/manpages_2.76.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459232@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 30 Jan 2008 22:20:57 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.76-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 149554 236671 333871 348072 405694 435018 454007 459232 462636 462969
Changes: 
 manpages (2.76-1) unstable; urgency=low
 .
   * New upstream version
     . Add 2.6 details for /proc/sys/kernel/random/poolsize to random(4)
       (closes: Bug#459232)
   * Convert changelog and copyright from latin1 to utf8 (closes: Bug#454007)
   * Added override for lintian false positives
   * Properly quote ... and 'at the beginning of a line in stdarg(3) and
     bootparam(7) (closes: Bug#462636)
   * Adjusted proc(5) to not claim using bytes anymore (closes: Bug#462969)
   * Improved examples in bsearch(3) and qsort(3), thanks to Falk Hüffner
     (closes: Bug#348072)
   * Document overriding of certain passwd fields in nsswitch.conf(5),
     thanks to Vincent McIntyre (closes: Bug#333871)
   * Don't claim running a nameserver on localhost is normal in
     resolv.conf(5) (closes: Bug#149554)
   * Adjusted the reporting address in ioctl_list(2) (closes: Bug#236671)
   * Added a note on inet6 in resolv.conf(5) (closes: Bug#405694)
   * Fixed typo in vfork(2) (closes: Bug#435018)
Files: 
 536f3494b54940ddb2d47abc1cc89215 584 doc important manpages_2.76-1.dsc
 7e330eca6fb97c261b30b36684e54101 1277680 doc important manpages_2.76.orig.tar.gz
 ec52822323d50e91572168079a30d684 48149 doc important manpages_2.76-1.diff.gz
 3abfb14f19dd2e0f0774f0c72df2d701 549796 doc important manpages_2.76-1_all.deb
 6f4eacab0716b1b0a82200fb7d158f83 1362732 doc optional manpages-dev_2.76-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHoOwCW5ql+IAeqTIRAhu3AJ9CRr7yXp5iXRv+HKz3ddd9J+1uzACfeUvg
UpzV9T81u1yLTUdq9pYlE0o=
=XC2T
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#459232; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Andries E. Brouwer" <Andries.Brouwer@cwi.nl>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 459232@bugs.debian.org (full text, mbox):

From: "Andries E. Brouwer" <Andries.Brouwer@cwi.nl>
To: Michael Kerrisk <mtk.manpages@googlemail.com>
Cc: Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>, 459232@bugs.debian.org, Andries Brouwer <Andries.Brouwer@cwi.nl>
Subject: Re: Bug#459232: manpages: random(4) has inconsistent information about /proc
Date: Thu, 31 Jan 2008 14:04:32 +0100
On Sat, Jan 05, 2008 at 08:27:27AM +0100, Michael Kerrisk wrote:
> Danial (and Andries),
> 
> Re http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=459232
> 
> It looks like things changed with the move from 2.4 to 2.6.

The change was made in 2.6.12.

Andries





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Feb 2008 07:28:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:14:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.